package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.text.TextWatcher;
import android.widget.BaseAdapter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface CarNoDetailListConstact {
	interface View extends BaseView<Presenter> {
		void readQRCode();
		void setPageTitleStr(String titleStr);
		void setAllPLvAdapter(BaseAdapter adapter);
		void setPSearchAdapter(BaseAdapter adapter);
		void setEtText(String etStr);
		String getEtText();
		void setBtnRightStr(String moreStr);
		void addTextChangedListener(TextWatcher t);
		void removeTextChangedListener(TextWatcher t);
		void finishWithResult(int resultCode,Intent intent);
		void setSearchPLvVisible();
		void setAllPLvVisible();
		void vibrate(int duration);
		void setTitleSerialVisible(int visibility);
		void setTitleSerialText(String serialText);
		void finishCarNoDetailListActivity();
		void setButtonCarNew(int visibility);
		
	}

	interface Presenter extends BasePresenter {
		void onPLvItemClickListener(int position);
		void onSearchLvItemClickListener(int position);
		void btnSearchClick();
		void updatePListClick();
		void btnBottomClick();
		void onResumeCarNoDetailListActivity();
	}
}
